Subject: bug#56528: 29.0.50; Emacs lucid segfaults when X dies

From: Eli Zaretskii <[email-masked]>
Date: Wed, 13 Jul 2022 20:54:11 +0300

> From: Visuwesh <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Wed, 13 Jul 2022 22:59:01 +0530
> 
> [புதன் ஜூலை 13, 2022] Eli Zaretskii wrote:
> 
> >> Cc: [email-masked], [email-masked]
> >> Date: Wed, 13 Jul 2022 20:11:41 +0300
> >> From: Eli Zaretskii <[email-masked]>
> >> 
> >> I think we should close this bug as wontfix.  It's unreasonable to
> >> expect a GUI program to stay in the air when its GUI infrastructure is
> >> forcibly killed.
> >
> > As a possible workaround, did you try to delete all the frames,
> > i.e. leave the daemon session without any live frame, before shutting
> > down X?
> 
> Yes, that works.  I forgot to check if I could do this in the second
> round of testing, sorry.

Then perhaps we should add a command delete-all-frames or something,
and call it a day.